<?php

namespace App\Modelos;

use Core\Database;

class Categorias extends Database
{
    protected $table = 'app_categorias';
    protected $id = 'cat_id';

    public function obtenerCategoriasAll()
    {
        return $this->consultar('SELECT * FROM app_categorias')->all();
    }

    public function obtenerCategorias()
    {
        return $this->consultar('SELECT * FROM app_categorias WHERE cat_padre IS NULL')->all();
    }

    public function obtenerSubategorias($id)
    {
        return $this->consultar("SELECT * FROM app_categorias WHERE cat_padre=$id")->all();
    }

    public function condicional($condicional)
    {
        return $this->consultar("$condicional")->row();
    }

    public function chequearForanea($id_categoria)
    {
        return $this->consultar("SELECT * FROM app_categorias c JOIN app_productos_categorias pc ON pc.pc_catid=c.cat_id WHERE c.cat_id=$id_categoria")->row();
    }
}
